Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record
Interface Index

    public interface Index

Interface that acts as an iterator for deserializing maps. The deserializer returns an instance that the record uses to read vectors and maps. An example of usage is as follows: `Index idx = startVector(...); while (!idx.done()) { .... // read element of a vector idx.incr(); }`

Method Summary
`boolean` | `done()`
`void` | `incr()`

Method Detail

### done

    boolean done()

### incr

    void incr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation